%Hawesl

clear all; clc;
startintlab;
format long;
format infsup;

syms x a b A B

% The list of the equations:
f1=(x^2-A)^2+(x^3+b*x-B)*(x^3+b*x-B-a)^2;
f2=4*x*(x^2-A)+(3*x^2+b)*(x^3+b*x-B-a)*(3*(x^3+b*x-B)-a);
f3=12*x^2-4*A+6*x*(x^3+b*x-B-a)^2+4*(3*x^2+b)^2*(x^3+b*x-B-a)+2*(x^3+b*x-B)*(3*x^2+b)^2+12*x*(x^3+b*x-B)*(x^3+b*x-B-a);
f4=24*x+6*(x^3+b*x-B-a)^2+72*x*(x^3+b*x-B-a)*(3*x^2+b)+6*(3*x^2+b)^3+36*x*(x^3+b*x-B)*(3*x^2+b)+12*(x^3+b*x-B)*(x^3+b*x-B-a);

% Constructing the vector
L=[f1,f2,f3,f4];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
% option.tol=5e-2;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
% option.fast_eig_ratio=0.05;
option.refine=true; 
option.method = 'nullspace';

t = 5; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars,msg] = verify(L,option,t)
t1=cputime-t0;
output('res_Hawesl_msdp',out,vars,t1,msg);
