% adjmin25e7
% 

clear all; clc;
startintlab;
format long;

syms x11 x12 x13 x14 x15 x16 x21 x22 x23 x24 x25 x26

% The list of the equations:
f1 = x11*x22 - x21*x12;
f2 = x12*x23 - x22*x13;
f3 = x13*x24 - x23*x14;
f4 = x14*x25 - x24*x15;
f5 = x15*x26 - x25*x16;

% Initialize the option and set the solver 
t = 2; % t is the order
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
% option.refine = true;
option.method = 'nullspace';

% Constructing the vector
K=[f1,f2,f3,f4,f5];

% Call the main function verify(..)
t0 = cputime;
[out,vars,msg] = verify(K,option,t)
t1=cputime-t0;
output('res_adjmin25e7_msdp',out,vars,t1,msg);




