% birkhoff
% 

clear all; clc;
startintlab;
format long;

syms t1 t2 t3 t4 

% The list of the equations:
f1=19*t1^6*t2^2*t3^2-23*t1^2*t2^6*t3^2-3*t1^4*t2^4*t3^2-2*t1^4*t2^2*t3^4-16*t1^2*t2^4*t3^4+13*t1^8*t2^2+12*t1^6*t2^4-2*t1^4*t2^6-8*t1^2*t2^8+10*t1^8*t3^2+4*t1^6*t3^4-11*t2^8*t3^2-10*t2^6*t3^4-4*t1^4*t2^2*t3^2*t4^2+10*t1^2*t2^4*t3...
    ^2*t4^2+4*t1^2*t2^2*t3^4*t4^2-3*t1^2*t2^2*t3^2*t4^4+4*t1^10-3*t2^10+3*t3^10+10*t4^10+6*t1^2*t2^2*t3^6-9*t1^6*t2^2*t4^2-6*t1^6*t3^2*t4^2-3*t1^4*t2^4*t4^2+5*t1^4*t2^2*t4^4+2*t1^4*t3^4*t4^2+2*t1^4*t3^2*t4^4-t1^2*t2^2*t4^6+5*t1^2*t2^6*t4...
    ^2-2*t1^2*t2^4*t4^4+2*t1^2*t3^2*t4^6+2*t1^2*t3^6*t4^2-4*t1^2*t3^4*t4^4+8*t2^6*t3^2*t4^2+2*t2^4*t3^4*t4^2-5*t2^4*t3^2*t4^4+16*t2^2*t3^2*t4^6+2*t2^2*t3^6*t4^2-11*t2^2*t3^4*t4^4+4*t1^2*t3^8+4*t1^2*t4^8-4*t1^4*t3^6-4*t1^4*t4^6-4*t1^8*t4^2 ...
    +4*t1^6*t4^4+11*t2^2*t3^8+18*t2^2*t4^8+10*t2^4*t3^6+3*t2^4*t4^6+3*t2^8*t4^2-3*t2^6*t4^4+22*t3^2*t4^8+9*t3^4*t4^6+t3^8*t4^2-5*t3^6*t4^4;

% Initialize the option and set the solver 
t = 5; % t is the order
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
% option.tol=5e-2;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
% option.fast_eig_ratio=0.05;
option.refine = true;
option.method = 'nullspace';
% option.canonical_projection = true;

% Constructing the vector
K=[f1];

% Call the main function verify(..)
t0 = cputime;
[out,vars,msg] = verify(K,option,t)
t1=cputime-t0;
output('res_birkhoff_msdp',out,vars,t1,msg);




