%bronestein2

clear all; clc;
startintlab;
format long;
format infsup;

syms x y a b

% The list of the equations:
f1=2*y^2*(y^2+x^2)+(b^2-3*a^2)*y^2-2*b*y^2*(x+y)+2*a^2*b*(x+y)-a^2*x^2+a^2*(a^2-b^2);
f2=4*y^3+4*y*(x^2+y^2)-2*b*y^2-4*b*y*(x+y)+2*(b^2-3*a^2)*y+2*a^2*b;
f3=4*x*y^2-2*b*y^2-2*a^2*x+2*a^2*b;

% Constructing the vector
L=[f1,f2,f3];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
option.refine=true; 
option.method = 'nullspace';

t = 3; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars,msg] = verify(L,option,t)
t1=cputime-t0;
output('res_bronestein2_msdp',out,vars,t1,msg);
