%curve_0;
%

clear all; clc;
startintlab;
format long;
format infsup;

syms x1 x2

% The list of the equations:
f1=(x1^2+x2^2-1)*((x1-4)^2+(x2-2)^2-1);
g1=(x2-1/2)*(x2+1/2)*(x1-7/2)*(x1-9/2);
h=f1^2+0.01*g1^3;
h = h /660;

% Constructing the vector
L=[h];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
% option.curve = 'minor';
option.refine = true;
option.method = 'nullspace';

t = 7; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars,msg] = verify(L,option,t)
t1=cputime-t0;
output('res_curve_0_msdp',out,vars,t1,msg);
