%hairer1

clear all; clc;
startintlab;
format long;
format infsup;

syms a b c d e f g h

% The list of the equations:
f1=a-f;
f2=b-g-h;
f3=c+d+e-1;
f4=b*c+a*d-1/2;
f5=b^2*c+a^2*d-1/3;
f6=a*c*g-1/6;

% Constructing the vector
L=[f1,f2,f3,f4,f5,f6];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
% option.refine=true; 
option.method = 'nullspace';

t = 2; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars,msg] = verify(L,option,t)
t1=cputime-t0;
output('res_hairer1_msdp',out,vars,t1,msg);
