%raksanyi

clear all; clc;
startintlab;
format long;
format infsup;

syms a t u v w x y z

% The list of the equations:
f1=t+v-a;
f2=x+y+z+t-u-w-a;
f3=x*z+y*z+x*t+z*t-u*w-u*a-w*a;
f4=x*z*t-u*w*a;

% Constructing the vector
L=[f1,f2,f3,f4];

% Set the solver
option.solver='moment_sdp';
option.maxinneriter=10;
option.tol=1e-3;
option.eta=1/4;
option.continuation=1;
option.schur_type='partial';
option.fast_eig_ratio=0.01;
option.refine=true; 
option.method = 'nullspace';

t = 2; % t is the order
% Call the main function verify(..)
t0 = cputime;
[out,vars,msg] = verify(L,option,t)
t1=cputime-t0;
output('res_raksanyi_msdp',out,vars,t1,msg);
